Summary:	Bigelow & Holmes Luxi fonts in Type1 format
Summary(pl.UTF-8):	Fonty Bigelow & Holmes Luxi w formacie Type1
Name:		xorg-font-font-bh-type1
Version:	1.0.3
Release:	2
License:	distributable if unmodified
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-bh-type1-%{version}.tar.bz2
# Source0-md5:	53ed9a42388b7ebb689bdfc374f96a22
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	t1utils
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bigelow & Holmes Luxi fonts in Type1 format.

%description -l pl.UTF-8
Fonty Bigelow & Holmes Luxi w formacie Type1.

%prep
%setup -q -n font-bh-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm, convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.bh
rm -f fonts.scale fonts.dir fonts.cache-1

cat > Fontmap.bh <<EOF
/LuxiMono                                (l047013t.pfb) ;
/LuxiMono-Bold                           (l047016t.pfb) ;
/LuxiMono-Oblique                        (l047033t.pfb) ;
/LuxiMono-BoldOblique                    (l047036t.pfb) ;
/LuxiSans                                (l048013t.pfb) ;
/LuxiSans-Bold                           (l048016t.pfb) ;
/LuxiSans-Oblique                        (l048033t.pfb) ;
/LuxiSans-BoldOblique                    (l048036t.pfb) ;
/LuxiSerif                               (l049013t.pfb) ;
/LuxiSerif-Bold                          (l049016t.pfb) ;
/LuxiSerif-Oblique                       (l049033t.pfb) ;
/LuxiSerif-BoldOblique                   (l049036t.pfb) ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/l04*.pfb
%{_fontsdir}/Type1/afm/l04*.afm
%{_fontsdir}/Type1/fonts.scale.bh
%{_fontsdir}/Type1/Fontmap.bh
%changelog
* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 594f546
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 5cfc753
- dropped pre-cvs changelog

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> b71877e
- updated to 1.0.3

* Wed Oct 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 18fe764
- updated to 1.0.2

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 13c3567
- fixed License information: distributable, but may not be modified (see COPYING)
- release 2

* Sat Oct 17 2009 Jakub Bogusz <qboosh@pld-linux.org> 1da7bc7
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8629fe8
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9f16e25
- BA: noarch
- release 2

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 0d7a2ae
- create .Fontmap file (replacing outdated Lucidux* entries from X11-fonts .Fontmap)

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e743b6
- informative descs
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4d43f2a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4f8b6ee
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 851115a
- 1.0.0 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 87b51e5
- restoted rev 1.5 changelog entry

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 2a90de0
- generate fonts.scale fragments properly

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 56e24c7
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> f236891
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7c7e157
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 23b9f67
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 25a80ec
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

